Bug 1900982 - Cannot report crash: "Package NVR contains illegal characters"
Summary: Cannot report crash: "Package NVR contains illegal characters"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 33
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matej Grabovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-24 07:20 UTC by Juan Orti
Modified: 2021-11-30 17:16 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-30 17:16:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Juan Orti 2020-11-24 07:20:06 UTC
Description of problem:
When reporting a crash of the octave package, I get this error and I cannot report it:

Ocurrió un error en el lado del servidor en 'https://retrace.fedoraproject.org'
Respuesta HTTP inesperada del servidor: 403
Package NVR contains illegal characters

Translation:
A server-side error happened in 'https://retrace.fedoraproject.org'
Unexpected HTTP response from the server: 403
Package NVR contains illegal characters

Version-Release number of selected component (if applicable):
abrt-2.14.4-7.fc33.x86_64
abrt-gui-2.14.4-7.fc33.x86_64
libreport-2.14.0-13.fc33.x86_64
octave-5.2.0-7.fc33.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install octave, it crash easily for me after a few interactions.
2. Try to report the crash.

Actual results:
A server-side error happened in 'https://retrace.fedoraproject.org'
Unexpected HTTP response from the server: 403
Package NVR contains illegal characters

Expected results:
Bug reported

Additional info:

Comment 1 Matej Grabovsky 2020-11-24 11:44:53 UTC
I have proposed a patch upstream: https://github.com/abrt/abrt/pull/1541

We will be doing a new release of ABRT shortly, so the fix should
appear in Fedora 33 soon.

Comment 2 Christian Kujau 2020-11-26 09:32:13 UTC
This appears to be reproducible for random packages quite easily, but I'm glad that a fix is in the works:

$ ksh
$ kill -SEGV $$
### 1003534 Function backtrace:
1   (null) + 94481610400271
2   (null) + 139625335417440
3   kill + 11
4   (null) + 94481610481865
5   (null) + 94481610480526
6   (null) + 94481610579985
7   (null) + 94481610296692
8   (null) + 94481610142761
9   (null) + 94481610925592
10  __libc_start_main + 242
11  (null) + 94481610124718
Aborted (core dumped)

$ abrt list
Id           e302f6f
Component    ksh
Count        1
Time         2020-11-26 10:23:05
User id      1000 (christian)
Reported to
ABRT Server  https://retrace.fedoraproject.org/faf/reports/bthash/e779c35b4b4ac8213393b3ab784c98c68990a8ca


$ abrt report e302f6f
Reporting problem e302f6f

no actions matching this problem found for event 'collect_GConf'
no actions matching this problem found for event 'collect_vimrc_system'
no actions matching this problem found for event 'collect_vimrc_user'
no actions matching this problem found for event 'collect_xsession_errors'
('report_uReport' completed successfully)
Ok to upload core dump? (It may contain sensitive data). If your answer is 'No', a stack trace will be generated locally. (It may download a huge amount of data). [y/N/f/e] y
Querying server settings
A server-side error occurred on 'https://retrace.fedoraproject.org'
Unexpected HTTP response from server: 403
Package NVR contains illegal characters
Do you want to generate a stack trace locally? (It may download a huge amount of data but reporting can't continue without stack trace). [y/N/f]
('analyze_CCpp' exited with 1)

Comment 3 Ben Cotton 2021-11-04 16:55:01 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2021-11-30 17:16:11 UTC
Fedora 33 changed to end-of-life (EOL) status on 2021-11-30. Fedora 33 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.